import { Lucia } from "lucia";
import type { Empty } from "./types.js";
export { AriseIdConnect } from "./handler.js";
export interface Types {
}
interface RegisterTypes<Session extends Empty, User extends Empty, DatabaseSessionAttributes extends Empty, DatabaseUserAttributes extends Empty> {
    Session: Session;
    User: User;
    DatabaseSessionAttributes: DatabaseSessionAttributes;
    DatabaseUserAttributes: DatabaseUserAttributes;
}
declare module "lucia" {
    interface Register {
        Lucia: Types extends RegisterTypes<infer _Session, infer _User, Empty, Empty> ? Lucia<_Session, _User> : never;
        DatabaseUserAttributes: Types extends RegisterTypes<Empty, Empty, Empty, infer _DatabaseUserAttributes> ? _DatabaseUserAttributes : never;
        DatabaseSessionAttributes: Types extends RegisterTypes<Empty, Empty, infer _DatabaseSessionAttributes, Empty> ? Omit<_DatabaseSessionAttributes, "id" | "user_id" | "userId" | "expires_at" | "expiresAt"> : never;
    }
}
